hwy::HWY_NAMESPACE::Xorshift128Plus Class Reference

`#include <algo-inl.h>`

## Static Public Member Functions

template<class DU64 >
static void | GenerateSeeds (DU64 du64, TFromD< DU64 > *HWY_RESTRICT seeds)
template<class VU64 >
static VU64 | RandomBits (VU64 &state0, VU64 &state1)

## Static Private Member Functions

static HWY_INLINE uint64_t | SplitMix64 (uint64_t z)

## Member Function Documentation

## GenerateSeeds()

template<class DU64 >

static void hwy::HWY_NAMESPACE::Xorshift128Plus::GenerateSeeds | ( | DU64 | du64,
|  | TFromD< DU64 > *HWY_RESTRICT | seeds
| ) |  |

inline static

References hwy::HWY_NAMESPACE::Lanes(), and SplitMix64().

Referenced by hwy::HWY_NAMESPACE::GenerateInput().

## RandomBits()

template<class VU64 >

static VU64 hwy::HWY_NAMESPACE::Xorshift128Plus::RandomBits | ( | VU64 & | state0,
|  | VU64 & | state1
| ) |  |

inline static

References hwy::HWY_NAMESPACE::Xor().

Referenced by hwy::HWY_NAMESPACE::RandomValues(), and hwy::HWY_NAMESPACE::RandomValues().

## SplitMix64()

static HWY_INLINE uint64_t hwy::HWY_NAMESPACE::Xorshift128Plus::SplitMix64 | ( | uint64_t | z | ) |

inline static private

Referenced by GenerateSeeds().

The documentation for this class was generated from the following file:

- algo-inl.h